# __gnu_parallel::mismatch_selector Struct Reference

Inheritance diagram for __gnu_parallel::mismatch_selector:

List of all members.

## Detailed Description

Test inverted predicate on a single element.

Definition at line 125 of file find_selectors.h.

## Public Member Functions

- template<typename RandomAccessIterator1, typename RandomAccessIterator2, typename Pred> bool operator() (RandomAccessIterator1 i1, RandomAccessIterator2 i2, Pred pred)
- template<typename RandomAccessIterator1, typename RandomAccessIterator2, typename Pred> std::pair< RandomAccessIterator1,
  RandomAccessIterator2 > sequential_algorithm (RandomAccessIterator1 begin1, RandomAccessIterator1 end1, RandomAccessIterator2 begin2, Pred pred)

## Member Function Documentation

template<typename RandomAccessIterator1, typename RandomAccessIterator2, typename Pred>

bool __gnu_parallel::mismatch_selector::operator() | ( | RandomAccessIterator1 | i1,
|  | RandomAccessIterator2 | i2,
|  | Pred | pred |
| ) |  |  | `[inline]`

Test on one position.

Parameters:

  | i1 | Iterator on first sequence.
  | i2 | Iterator on second sequence (unused).
  | pred | Find predicate.

Definition at line 136 of file find_selectors.h.

template<typename RandomAccessIterator1, typename RandomAccessIterator2, typename Pred>

std::pair<RandomAccessIterator1, RandomAccessIterator2> __gnu_parallel::mismatch_selector::sequential_algorithm | ( | RandomAccessIterator1 | begin1,
|  | RandomAccessIterator1 | end1,
|  | RandomAccessIterator2 | begin2,
|  | Pred | pred |
| ) |  |  | `[inline]`

Corresponding sequential algorithm on a sequence.

Parameters:

  | begin1 | Begin iterator of first sequence.
  | end1 | End iterator of first sequence.
  | begin2 | Begin iterator of second sequence.
  | pred | Find predicate.

Definition at line 149 of file find_selectors.h.

The documentation for this struct was generated from the following file:

- find_selectors.h